Subject: Re: 27.0.50; integer in pcase sometimes compared by eq

From: Paul Eggert <[email-masked]>
Date: Thu, 28 Mar 2019 13:30:18 -0700

On 3/28/19 12:51 PM, Mattias Engdegård wrote:
> Not that I can see; the singular case uses eql for integerp.
> I didn't think of the case you described, thanks. We then need a new
> function:
>
>   portable-fixnum-p
> ...
>
> and names for the bounds:
>
>   portable-most-{positive,negative}-fixnum

If we have the bounds, then portable-fixnum-p is merely a convenience, no?

I'd prefer the names most-negative-portable-fixnum and
most-positive-portable-fixnum. Their documentation should make it clear
what the portability test is for. Presumably the test applies just to
this version of Emacs, since future versions might change the portable
fixnum bounds.